
class ProjectPars:

    class DataFile:
        def __init__(self,name,clas,disk,seq):
            self.name = name
            self.clas = clas
            self.disk = disk
            self.seq = seq
    test = DataFile('3C345 1,-5','MULTI',1,1)
    cont = DataFile('FRMAP LAVG','UVDATA',1,1)
    line = DataFile('FRMAP LINE','UVDATA',1,1)
    
    src = {}
    def insert( src, source, object ):
        src.update( { source: object } )

    class Src:

        def __init__(self,name,qual, ib = None, eb = None,
                     ir = None, er = None, refer = None,
                     rashift = None, decshift = None):
            self.name = name
            self.qual = qual
            self.ib = ib
            self.eb = eb
            self.ir = ir
            self.er = er
            self.refer = refer
            self.rashift = rashift
            self.decshift = decshift
        def cont(self):
            if self.qual == 'tar':
                return False
            else:
                return True

    insert( src, '3c3', Src( '3C345', 'cal' )  )
    insert( src, 'j1847', Src( 'J1847+0810','ref' ) )
    insert( src, 'oh39',  Src( 'OH39.7+1.5', 'tar',
                               refer= 'J1847+0810',     #90mJy
                               ib= 1010,
                               eb= 1014,          #double peak
                               ir= 966,
                               er= 970,
                               rashift= 0,
                               decshift= 0 ) )

    insert( src, 'j1928', Src( 'J1928+0848','ref' ) )
    insert( src, 'oh44',  Src( 'OH44.8-2.3', 'tar',
                               refer = 'J1928+0848',      #97mJy
                               ib = 0,              #weak
                               eb = 0,
                               ir = 0,
                               er = 0,
                               rashift = 0,
                               decshift = 0 ) )

    insert( src, 'j1834', Src( 'J1834-0301','ref' ) )
    insert( src, 'oh26',  Src( 'OH26.5+0.6', 'tar',       #300 mJy red dominates
                               refer =  'J1834-0301',     #115 mJy
                               ib = 994,
                               eb = 995,
                               ir = 955,
                               er = 956,
                               rashift = 0.892,
                               decshift = -0.156 ) )


    insert( src, 'j1846', Src( 'J1846-0651','ref' ) )
    insert( src, 'oh28',  Src( 'OH28.7-0.6', 'tar',        #weak 30mJy
                               refer =  'J1846-0651',       #60mJy
                               ib = 973,
                               eb = 974,
                               ir = 925,
                               er = 925,
                               rashift = 0,
                               decshift = 0 ) )

    insert( src, 'j2223', Src( 'J2223+6249','ref' ) )
    insert( src, 'oh104', Src( 'OH104.9+2.4', 'tar',       #150 mJy
                               refer =  'J2223+6249',       #90mJy
                               ib = 1064,
                               eb = 1066,
                               ir = 1024,
                               er = 1025,
                               rashift = 0 ,
                               decshift = 0 ) )


    insert( src, 'j0140', Src( 'J0140+6346','ref' ) )
    insert( src, 'oh127', Src( 'OH127.9-0.0', 'tar',         #blue 700mJy
                               refer =  'J0140+6346',      #330 mJy
                               ib = 1086,
                               eb = 1087,
                               ir = 0 ,
                               er = 0 ,
                               rashift = 0 ,
                               decshift = 0 ) )

    insert( src, '3c4',   Src( '3C454.3', 'prim' ) )

